Bug 642202 (CVE-2010-3541, CVE-2010-3573)

Summary: CVE-2010-3541 CVE-2010-3573 OpenJDK HttpURLConnection allows arbitrary request headers (6961084,6980004)
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, aph, dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,source=oracle,public=20101012,reported=20100930,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-10 17:23:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 642323, 642324, 642326, 642327, 642515, 642517, 643336, 643337, 643338, 643355, 643356, 643357, 646406, 646407, 646408, 662638, 662639, 662640    
Bug Blocks: 712887    

Comment 2 Jan Lieskovsky 2010-10-13 11:46:18 EDT
The HttpURLConnection class did not validate request headers set by applets,
which could allow remote attackers to trigger actions otherwise restricted to
HTTP clients. (CVE-2010-3541, CVE-2010-3573) 

The CVSSv2 scored upstream is
cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P

Reference: 
http://www.oracle.com/technetwork/topics/security/javacpuoct2010-176258.html
Comment 3 errata-xmlrpc 2010-10-13 12:24:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0768 https://rhn.redhat.com/errata/RHSA-2010-0768.html
Comment 4 errata-xmlrpc 2010-10-14 09:37:24 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0770 https://rhn.redhat.com/errata/RHSA-2010-0770.html
Comment 8 errata-xmlrpc 2010-10-20 13:15:51 EDT
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0786 https://rhn.redhat.com/errata/RHSA-2010-0786.html

Note: The CVE-2010-3573 flaw affects only v1.5 and v1.6 versions of Java 
      Development Kit (JDK).
Comment 11 errata-xmlrpc 2010-10-27 19:08:19 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0807 https://rhn.redhat.com/errata/RHSA-2010-0807.html
Comment 12 errata-xmlrpc 2010-11-10 13:51:08 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2010:0865 https://rhn.redhat.com/errata/RHSA-2010-0865.html
Comment 13 errata-xmlrpc 2010-11-10 14:07:25 EST
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0873 https://rhn.redhat.com/errata/RHSA-2010-0873.html
Comment 15 errata-xmlrpc 2010-12-15 17:44:47 EST
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2010:0986 https://rhn.redhat.com/errata/RHSA-2010-0986.html

Note: The CVE-2010-3573 flaw affects only v1.5 and v1.6 versions of Java 
      Development Kit (JDK).
Comment 17 errata-xmlrpc 2010-12-15 18:46:25 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5
  Extras for Red Hat Enterprise Linux 6

Via RHSA-2010:0987 https://rhn.redhat.com/errata/RHSA-2010-0987.html
Comment 18 errata-xmlrpc 2011-06-16 15:23:39 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2011:0880 https://rhn.redhat.com/errata/RHSA-2011-0880.html